Technical Collaboration quarterly check in for October - December 2017
Closed, ResolvedPublic

Description

Ongoing team goals

Community Collaboration in Product Development

T176462: Goal: Best practices of collaboration between product development teams and communities agreed and ready for adoption

T170002: Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments

T175678: Support Structured discussions features developments for FY 2017-2018

Onboarding New Developers

T176481: Goal: Understand how and why new developers start contributing and stay or leave

T176490: Goal: A learning environment and growth paths for new volunteer developers

T176487: Goal: Increase onboarding and retention of new volunteer developers

Ongoing individual goals

OwnerGoals
@JohanT176932: Coverage of technical translators for the top 25 Wikimedia projects, T175781: Coordinate Technical Collaboration support for the 2017 Community Wishlist
@KeeganT176274: Improve and finalize TCG based on P&T and community feedback, T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers
@QgilT1035: Consolidate the many tech events calendars in Phabricator's calendar, T108647: Two blog posts about Technical Collaboration's annual plan programs, T170516: Review CE Insights results and future questions for Technical Collaboration, {T172495}
@QuiddityT176677: Promote Toolforge Tools and their maintainers within Wikimedia communities, T175325: Community liaison support for New Editor Experiences concept development
@RfarrandT175635: Work with WMF Finance to create an invoicing and payment process for Wikimedia Hackathon 2018, T170227: Logistics plan for the Wikimedia Developer Summit 2018, T176853: Participation in Mozilla Open Leaders Program , T176854: Timeline & Plan for Barcelona Hackathon
@srishakatuxT173780: Coordinate Wikimedia's participation in Outreachy Round 15, T176488: Creation of a short term plan to improve outreach and increase retention, T176484: Provide an analysis of metrics and survey results informing a short term plan to improve outreach and increase retention, T176483: Conduct a first survey targeting volunteers who left after a few contributions
@SandraF_WMFT173820: Cleanup and update drive of information pages / portal about Structured Data on Commons T174565: Gather first community input and create focus groups for Structured Data on Wikimedia Commons
@Trizek-WMFT164489: Announce and follow up with communities about the New Filters for Recent changes by default deployment, T175678: Support Structured discussions features developments for FY 2017-2018
@Whatamidoing-WMFT174964: Support the Editing team with communications about the beta status of visual diffs T134580: CLs to communicate the Save/Publish change
@AklapperT169599: Sort out concept for overview/entrance pages targeting our developer audience, T176219: Organize and coordinate Wikimedia's participation in Google Code-In 2017
@CKoerner_WMFT158830: Communicate enabling Extension:3d on Commons T176782: Communicate enabling MP3 uploads on Wikimedia Commons T157477: Begin community discussion on mobile and desktop print styles T170473: Wikis have content namespaces that are possibly accidentally excluded from the default results of Special:Search
@ElitreT167805: Develop a Community Collaboration Logic Model,T176476: Contact the top 25 Wikimedia projects to encourage more volunteers to step in as tech ambassadors

Calendar

  • 2017-12-19: updated team goals due by this date.
  • 2017-12-??: updated Individual goals agreed.
  • 2018-01-05: quarterly check in materials must be completed (stories and metrics by the 9th).
  • 2018-01-10: quarterly check in dry run.
  • 2018-01-17: Community Engagement quarterly check in.

Related Objects

Mentioned In
T169739: Technical Collaboration quarterly check in for July - September 2017
Mentioned Here
T157477: Begin community discussion on mobile and desktop print styles
T170473: Wikis have content namespaces that are possibly accidentally excluded from the default results of Special:Search
T176782: Communicate enabling MP3 uploads on Wikimedia Commons
T167805: Develop a Community Collaboration Logic Model
T134580: CLs to communicate the Save/Publish change
T174964: Support the Editing team with communications about the beta status of visual diffs
T175781: Coordinate Technical Collaboration support for the 2017 Community Wishlist
T176932: Coverage of technical translators for the top 25 Wikimedia projects
T170227: Logistics plan for the Wikimedia Developer Summit 2018
T175635: Work with WMF Finance to create an invoicing and payment process for Wikimedia Hackathon 2018
T176853: Participation in Mozilla Open Leaders Program
T176854: Timeline & Plan for Barcelona Hackathon
T1035: Consolidate the many tech events calendars in Phabricator's calendar
T108647: Two blog posts about Technical Collaboration's annual plan programs
T170516: Review CE Insights results and future questions for Technical Collaboration
T173780: Coordinate Wikimedia's participation in Outreachy Round 15
T175325: Community liaison support for New Editor Experiences concept development
T176677: Promote Toolforge Tools and their maintainers within Wikimedia communities
T158830: Communicate enabling Extension:3d on Commons
T167976: Discuss Android Reading List feature with community
T173820: Cleanup and update drive of information pages / portal about Structured Data on Commons
T164489: Announce and follow up with communities about the New Filters for Recent changes by default deployment
T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers
T170002: Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments
T175678: Support Structured discussions features developments for FY 2017-2018
T176274: Improve and finalize TCG based on P&T and community feedback
T176462: Goal: Best practices of collaboration between product development teams and communities agreed and ready for adoption
T176476: Contact the top 25 Wikimedia projects to encourage more volunteers to step in as tech ambassadors
T176481: Goal: Understand how and why new developers start contributing and stay or leave
T176483: Conduct a first survey targeting volunteers who left after a few contributions
T176484: Provide an analysis of metrics and survey results informing a short term plan to improve outreach and increase retention
T176487: Goal: Increase onboarding and retention of new volunteer developers
T176488: Creation of a short term plan to improve outreach and increase retention
T176490: Goal: A learning environment and growth paths for new volunteer developers
T169599: Sort out concept for overview/entrance pages targeting our developer audience
T176219: Organize and coordinate Wikimedia's participation in Google Code-In 2017
T174565: Gather first community input and create focus groups for Structured Data on Wikimedia Commons
Qgil created this task.Sep 5 2017, 9:55 AM
SandraF_WMF updated the task description. (Show Details)Sep 11 2017, 11:42 AM
Aklapper updated the task description. (Show Details)Sep 19 2017, 3:23 PM
Aklapper updated the task description. (Show Details)Sep 22 2017, 3:26 PM
Keegan updated the task description. (Show Details)Sep 22 2017, 10:19 PM
Trizek-WMF updated the task description. (Show Details)Sep 25 2017, 9:44 AM
SandraF_WMF updated the task description. (Show Details)Sep 25 2017, 1:21 PM
CKoerner_WMF updated the task description. (Show Details)Sep 25 2017, 2:54 PM
Quiddity updated the task description. (Show Details)Sep 26 2017, 1:13 AM
srishakatux updated the task description. (Show Details)Sep 26 2017, 10:35 PM
Qgil updated the task description. (Show Details)Sep 27 2017, 10:31 AM
Rfarrand updated the task description. (Show Details)Sep 27 2017, 11:06 AM
Johan updated the task description. (Show Details)Sep 28 2017, 11:07 AM
Elitre updated the task description. (Show Details)Sep 29 2017, 2:02 PM
Qgil updated the task description. (Show Details)Oct 4 2017, 8:35 AM
CKoerner_WMF updated the task description. (Show Details)Oct 4 2017, 2:16 PM

This could go on next quarter's board, then?

Qgil updated the task description. (Show Details)Jan 3 2018, 4:32 PM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Jan 3 2018, 4:58 PM
Elitre closed this task as Resolved.Jan 23 2018, 11:59 PM

This kinda happened, didn't it.